[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] libvirt 0.8.7 tests failure on arm and ppc



On Tue, Feb 15, 2011 at 06:23:56PM +0800, Daniel Veillard wrote:
> On Tue, Feb 15, 2011 at 11:00:06AM +0100, Matthias Bolte wrote:
> > 2011/2/15 Daniel Veillard <veillard redhat com>:
> > >  I reproduced this on a ppc64 box (RHEL-6) and get:
> > >
> > > 122) QEMU XML-2-ARGV cpu-topology2                                     ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > > 123) QEMU XML-2-ARGV cpu-topology3                                     ... OK
> > > 124) QEMU XML-2-ARGV cpu-minimum1                                      ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > > 125) QEMU XML-2-ARGV cpu-minimum2                                      ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > > 126) QEMU XML-2-ARGV cpu-exact1                                        ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > > 127) QEMU XML-2-ARGV cpu-exact2                                        ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > > 128) QEMU XML-2-ARGV cpu-strict1                                       ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
> > > FAILED
> > >
> > >  I would guess it's related to tests/qemuxml2argvdata/qemu.sh
> > > not "providing" the CPU wanted by the tests in the faked_cpu()
> > >
> > > Daniel
> > >
> > 
> > Daniel, that's a different problem. Serge said that 6 out of the last
> > 7 tests in 0.8.7 fail for him. These are hostdev-pci-address,
> > restore-v1, restore-v2, restore-v2, migrate and qemu-ns-no-env. The
> > tests that are failing for you were added after 0.8.7.
> 
>   ah right I tested the rc3 tarball !

  Actually I get the exact same errors with libvirt-0.8.7 on that
machine:

110) QEMU XML-2-ARGV cpu-topology2                                     ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
111) QEMU XML-2-ARGV cpu-topology3                                     ... OK
112) QEMU XML-2-ARGV cpu-minimum1                                      ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
113) QEMU XML-2-ARGV cpu-minimum2                                      ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
114) QEMU XML-2-ARGV cpu-exact1                                        ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
115) QEMU XML-2-ARGV cpu-exact2                                        ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
116) QEMU XML-2-ARGV cpu-strict1                                       ... libvir: QEMU error : unsupported configuration: CPU specification not supported by hypervisor
FAILED
[root ibm-js22-vios-02-lp2 tests]# pwd

  note it's a ppc64, not ppc

Daniel

-- 
Daniel Veillard      | libxml Gnome XML XSLT toolkit  http://xmlsoft.org/
daniel veillard com  | Rpmfind RPM search engine http://rpmfind.net/
http://veillard.com/ | virtualization library  http://libvirt.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]